# Created by pyp2rpm-3.3.2
%global pypi_name w3lib

%bcond_with docs

Name:           python-%{pypi_name}
Version:        1.22.0
Release:        %mkrel 3
Summary:        Library of web-related functions
Group:          Development/Python
License:        BSD
URL:            https://github.com/scrapy/w3lib
Source0:        %{pypi_source}
Patch1:         0001-CI-Mark-single-add_or_replace_parameter-test-as-xfai.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:	python3dist(pytest)

%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-hoverxref)
%endif

%description
This is a Python library of web-related functions, such as:

* remove comments, or tags from HTML snippets
* extract base url from HTML snippets
* translate entities on HTML strings
* convert raw HTTP headers to dicts and vice-versa
* construct HTTP auth header
* converting HTML pages to unicode
* sanitize urls (like browsers do)
* extract arguments from urls

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(six) >= 1.4.1
%if ! %{with docs}
Obsoletes:	python-%{pypi_name}-doc < %{version}-%{release}
%endif

%description -n python3-%{pypi_name}
This is a Python library of web-related functions, such as:

* remove comments, or tags from HTML snippets
* extract base url from HTML snippets
* translate entities on HTML strings
* convert raw HTTP headers to dicts and vice-versa
* construct HTTP auth header
* converting HTML pages to unicode
* sanitize urls (like browsers do)
* extract arguments from urls

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%check
py.test-3 -v

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%if %{with docs}
%doc html
%endif


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.22.0-3.mga9
+ Revision: 1828542
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 1.22.0-2.mga9
+ Revision: 1781173
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.22.0-1.mga9
+ Revision: 1733724
- new version 1.22.0
- disable docs build for now
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.19.0-3.mga8
+ Revision: 1532557
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.19.0-2.mga8
+ Revision: 1442512
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 kekepower <kekepower> 1.19.0-1.mga7
+ Revision: 1353357
- imported package python-w3lib

